# $Revision: 1.5 $, $Date: 2004/12/27 16:52:43 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Term
%define		pnam	InKey
Summary:	Term::InKey - Perl extension for clearing the screen and receiving a keystroke
Summary(pl):	Term::InKey - rozszerzenie Perla do czyszczenia ekranu i odczytu klawisza
Name:		perl-Term-InKey
Version:	1.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2b31a6bb2f1b48123e6bc8f7a2f72147
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements Clear() to clear screen and ReadKey() to
receive a keystroke, on UNIX and Win32 platforms. As opposed to
Term::ReadKey, it does not contain XSUB code.

%description -l pl
Ten modu implementuje funkcj Clear() do czyszczenia ekranu i
ReadKey() do odczytywania klawisza na platformach uniksowych i Win32.
W przeciwiestwie do Term::ReadKey nie zawiera kodu XSUB.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Term/InKey.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Term-InKey.spec,v $
Revision 1.5  2004/12/27 16:52:43  adamg
- updated to 1.04

Revision 1.4  2004/11/03 22:30:47  paladine
- formatting

Revision 1.3  2004/08/08 07:23:40  adamg
- updated to 1.03

Revision 1.2  2004/05/03 00:55:41  ankry
- license fixes, cosmetics

Revision 1.1  2003/12/17 16:21:29  qboosh
- new

